> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Availability



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/availability
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/availability:
    get:
      tags:
        - Projects
      summary: Availability
      operationId: ProjectsController_availability_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: name
          required: false
          in: query
          schema:
            type: string
            maxLength: 255
        - name: code
          required: false
          in: query
          schema:
            type: string
            maxLength: 100
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAvailabilityResponseDto'
components:
  schemas:
    ProjectAvailabilityResponseDto:
      type: object
      properties:
        name:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectNameAvailabilityDto'
        code:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectCodeAvailabilityDto'
      required:
        - name
        - code
    ProjectNameAvailabilityDto:
      type: object
      properties:
        available:
          type: boolean
        normalized:
          type: string
      required:
        - available
        - normalized
    ProjectCodeAvailabilityDto:
      type: object
      properties:
        available:
          type: boolean
      required:
        - available

````